classification
Title: sqlite3.connect() should accept PathLike objects
Type: enhancement Stage: resolved
Components: Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Allen Li, Phaqui, vstinner
Priority: normal Keywords: patch

Created on 2017-10-23 00:13 by Allen Li, last changed 2017-11-07 00:49 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4299 merged python-dev, 2017-11-06 19:56
Messages (4)
msg304773 - (view) Author: Allen Li (Allen Li) Date: 2017-10-23 00:13
sqlite3.connect() should accept PathLike objects (objects that implement __fspath__)
msg305674 - (view) Author: Anders Lorentsen (Phaqui) * Date: 2017-11-06 20:02
Had my first go at a python patch. Added a test case for it, and all tests
passing when I test with

`./python -bb -E -Wd -m test -v test.test_sqlite -r -w -uall -R 3:2`
msg305702 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-07 00:47
New changeset a22a127458d75b9b7e65e058f5db5ff705df5696 by Victor Stinner (Anders Lorentsen) in branch 'master':
bpo-31843: sqlite3.connect() now accepts PathLike objects as database name (#4299)
https://github.com/python/cpython/commit/a22a127458d75b9b7e65e058f5db5ff705df5696
msg305703 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-07 00:49
Thank you Allen Li for your feature request.

Thank you very much Anders Lorentsen for addressing all my annoying comments on the pull request, and congratulations for your first contribution to CPython! It's a nice once ;-)
History
Date User Action Args
2017-11-07 00:49:11vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg305703

stage: patch review -> resolved
2017-11-07 00:47:45vstinnersetnosy: + vstinner
messages: + msg305702
2017-11-06 20:02:11Phaquisetnosy: + Phaqui
messages: + msg305674
2017-11-06 19:56:22python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request4261
2017-10-23 00:13:55Allen Lisettype: enhancement
2017-10-23 00:13:45Allen Licreate